<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Generic Trace Generator (GTG): GTGColor.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Generic Trace Generator (GTG)
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GTGColor.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="GTGColor_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef _GTGCOLOR_H_</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define _GTGCOLOR_H_</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="GTGColor_8h.html#a9fd3b22fc2eca7706659486c53aa1edd">   18</a></span>&#160;<span class="keyword">typedef</span> <a class="code" href="GTGOTF2__Structs_8h.html#a892136a038b62ff5efd69a91e3e4668b">uint32_t</a> <a class="code" href="GTGColor_8h.html#a9fd3b22fc2eca7706659486c53aa1edd">gtg_rgb_color_t</a>;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="structgtg__color.html">   25</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structgtg__color.html">gtg_color</a> {</div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="structgtg__color.html#a7c2033bde700bdbf9fb1be5c6b2400e8">   27</a></span>&#160;        <span class="keywordtype">char</span>* <a class="code" href="structgtg__color.html#a7c2033bde700bdbf9fb1be5c6b2400e8">color_name</a>; </div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="structgtg__color.html#a1c158621053c8150b40751340e4e47f2">   28</a></span>&#160;        <a class="code" href="GTGColor_8h.html#a9fd3b22fc2eca7706659486c53aa1edd">gtg_rgb_color_t</a> <a class="code" href="structgtg__color.html#a1c158621053c8150b40751340e4e47f2">rgb</a>; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;};</div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">   31</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structgtg__color.html">gtg_color</a>* <a class="code" href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a>;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment">/* In a 4-byte value, the first byte corresponds to blue,</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment"> * the second to green, the third to red. The 4th byte is </span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment"> * unused (for now). ie. a color is represented as follows:</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment"> * 0x00rrggbb</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment"> */</span></div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="GTGColor_8h.html#a3715b9f3d53d1b007ca3d5d54a633d94">   38</a></span>&#160;<span class="preprocessor">#define GTG_COLOR_BLUE_POS  0</span></div>
<div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="GTGColor_8h.html#af6a468e04384d838ad12c6c370116289">   39</a></span>&#160;<span class="preprocessor">#define GTG_COLOR_GREEN_POS 8</span></div>
<div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="GTGColor_8h.html#ad35ae9d4ff1aa5870328130b5483b599">   40</a></span>&#160;<span class="preprocessor">#define GTG_COLOR_RED_POS   16</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div>
<div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="GTGColor_8h.html#a5d84b5c74582785274cf76dff745a76b">   42</a></span>&#160;<span class="preprocessor">#define GTG_COLOR_BLUE_MASK  (0x000000ff &lt;&lt; GTG_COLOR_BLUE_POS)</span></div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="GTGColor_8h.html#a344b7a65f28e75c218e3ffa38ba142cf">   43</a></span>&#160;<span class="preprocessor">#define GTG_COLOR_GREEN_MASK (0x000000ff &lt;&lt; GTG_COLOR_GREEN_POS)</span></div>
<div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="GTGColor_8h.html#aca9cbafaad4911f01c7d6e822e6da3a1">   44</a></span>&#160;<span class="preprocessor">#define GTG_COLOR_RED_MASK   (0x000000ff &lt;&lt; GTG_COLOR_RED_POS)</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">static</span> <span class="keyword">inline</span> uint8_t</div>
<div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="group__GTGColor.html#ga9e4cec241556fba74d243092ecb65ff3">   52</a></span>&#160;<a class="code" href="group__GTGColor.html#ga9e4cec241556fba74d243092ecb65ff3">GTG_COLOR_GET_BLUE</a>(<a class="code" href="GTGColor_8h.html#a9fd3b22fc2eca7706659486c53aa1edd">gtg_rgb_color_t</a> <a class="code" href="structgtg__color.html#a1c158621053c8150b40751340e4e47f2">rgb</a>)</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;{</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        <span class="keywordflow">return</span> (((rgb) &amp; <a class="code" href="GTGColor_8h.html#a5d84b5c74582785274cf76dff745a76b">GTG_COLOR_BLUE_MASK</a>)  &gt;&gt; <a class="code" href="GTGColor_8h.html#a3715b9f3d53d1b007ca3d5d54a633d94">GTG_COLOR_BLUE_POS</a> );</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;}</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="keyword">static</span> <span class="keyword">inline</span> uint8_t</div>
<div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="group__GTGColor.html#ga47cbb9a6cd672a1b0679a5472dacf0aa">   63</a></span>&#160;<a class="code" href="group__GTGColor.html#ga47cbb9a6cd672a1b0679a5472dacf0aa">GTG_COLOR_GET_GREEN</a>(<a class="code" href="GTGColor_8h.html#a9fd3b22fc2eca7706659486c53aa1edd">gtg_rgb_color_t</a> <a class="code" href="structgtg__color.html#a1c158621053c8150b40751340e4e47f2">rgb</a>)</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;{</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        <span class="keywordflow">return</span> (((rgb) &amp; <a class="code" href="GTGColor_8h.html#a344b7a65f28e75c218e3ffa38ba142cf">GTG_COLOR_GREEN_MASK</a>) &gt;&gt; <a class="code" href="GTGColor_8h.html#af6a468e04384d838ad12c6c370116289">GTG_COLOR_GREEN_POS</a>);</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;}</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="keyword">static</span> <span class="keyword">inline</span> uint8_t</div>
<div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="group__GTGColor.html#ga223e9945beaf02128c62c359a13381ac">   74</a></span>&#160;<a class="code" href="group__GTGColor.html#ga223e9945beaf02128c62c359a13381ac">GTG_COLOR_GET_RED</a>(<a class="code" href="GTGColor_8h.html#a9fd3b22fc2eca7706659486c53aa1edd">gtg_rgb_color_t</a> <a class="code" href="structgtg__color.html#a1c158621053c8150b40751340e4e47f2">rgb</a>)</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;{</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        <span class="keywordflow">return</span> (((rgb) &amp; <a class="code" href="GTGColor_8h.html#aca9cbafaad4911f01c7d6e822e6da3a1">GTG_COLOR_RED_MASK</a>)   &gt;&gt; <a class="code" href="GTGColor_8h.html#ad35ae9d4ff1aa5870328130b5483b599">GTG_COLOR_RED_POS</a>  );</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;}</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="keyword">static</span> <span class="keyword">inline</span> <a class="code" href="GTGColor_8h.html#a9fd3b22fc2eca7706659486c53aa1edd">gtg_rgb_color_t</a></div>
<div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="group__GTGColor.html#ga0e3d8e413dcbd8f23dfeb5b26bf02ea0">   86</a></span>&#160;<a class="code" href="group__GTGColor.html#ga0e3d8e413dcbd8f23dfeb5b26bf02ea0">GTG_COLOR_SET_COLOR</a>(uint8_t r, uint8_t g, uint8_t b)</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;{</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        <span class="keywordflow">return</span> ((r &lt;&lt; <a class="code" href="GTGColor_8h.html#ad35ae9d4ff1aa5870328130b5483b599">GTG_COLOR_RED_POS</a>) |</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;                (g &lt;&lt; <a class="code" href="GTGColor_8h.html#af6a468e04384d838ad12c6c370116289">GTG_COLOR_GREEN_POS</a>) |</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;                (b &lt;&lt; <a class="code" href="GTGColor_8h.html#a3715b9f3d53d1b007ca3d5d54a633d94">GTG_COLOR_BLUE_POS</a>));</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;}</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#gaa923f594cd6bf3da6a99d672c4438238">GTG_BLACK</a>;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#ga64afa654e5f2102b76dfea9948fcc176">GTG_RED</a>;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#gaac719b8d82b41edc0d2f29983222586a">GTG_GREEN</a>;</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#ga8ee0cf541a8cfe06ca0071bc12730514">GTG_BLUE</a>;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#ga21ff1d892d73197f789eadfb5f53ae12">GTG_WHITE</a>;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#gae5b393a4e0d57100e0809e25ccde762c">GTG_TEAL</a>;</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#ga088b63848f60b294eb7717f9160ce76a">GTG_DARKGREY</a>;</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#ga16c93cd2a5d433fcc87ef02a84799ba5">GTG_YELLOW</a>;</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#gac22398d68421bab69f56bad3aec370aa">GTG_PURPLE</a>;</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#gaf971085c762299a3ddc48983c5be7ba1">GTG_LIGHTBROWN</a>;</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#gaa0b434824fb73ef2aca7b3ea80b1d5fc">GTG_LIGHTGREY</a>;</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#gafb573eac9a0e0e5b87f53381a52fb5a5">GTG_DARKBLUE</a>;</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#ga190c0283ea923a8985673bf855acb0f1">GTG_PINK</a>;</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#gaa08fc4857b39b8de719eb2856b040ebe">GTG_DARKPINK</a>;</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#ga64753688aed5f6684f07f8e0878f312e">GTG_SEABLUE</a>;</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#ga39b7ac86d036b3eeffb481bb8c7a0404">GTG_KAKI</a>;</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#gabbc9bfb94e29f9403a7e139e4f4bf87a">GTG_REDBLOOD</a>;</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#gadce47970948c2b8fed1561b4ad48a77d">GTG_BROWN</a>;</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;</div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#ga522dceb98e51420b5145113ba0297eba">GTG_GRENAT</a>;</div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#ga5ab65b258d884aee7f7510728c3a9c7d">GTG_ORANGE</a>;</div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;</div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#ga4de28f536dd910bf024fc2caa5234cb5">GTG_MAUVE</a>;</div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;</div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;<span class="keyword">extern</span> gtg_color_t <a class="code" href="group__GTGColor.html#ga27a569b9d34652d78d38ce7f7cda6794">GTG_LIGHTPINK</a>;</div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;<span class="keywordtype">void</span> <a class="code" href="GTGColor_8h.html#adf9335edbd36dc5bc6413264ef2c40c8">gtg_color_init</a>();</div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;<span class="keywordtype">void</span> <a class="code" href="GTGColor_8h.html#a3f0b10fa33d77d2c68b3e7b81ac4fd67">gtg_color_exit</a>();</div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;</div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;gtg_color_t <a class="code" href="GTGColor_8h.html#ab217caeb934798d280cb2077358986f9">gtg_color_create</a>( <span class="keyword">const</span> <span class="keywordtype">char</span> *name, uint8_t r, uint8_t g, uint8_t b);</div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;<span class="keywordtype">void</span>        <a class="code" href="GTGColor_8h.html#ad2b04b7eefd44537657daa8557c8d804">gtg_color_free</a>(gtg_color_t color);</div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;</div>
<div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* _GTGCOLOR_H_ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="group__GTGColor_html_gadce47970948c2b8fed1561b4ad48a77d"><div class="ttname"><a href="group__GTGColor.html#gadce47970948c2b8fed1561b4ad48a77d">GTG_BROWN</a></div><div class="ttdeci">gtg_color_t GTG_BROWN</div><div class="ttdoc">Default brown color. (R,G,B) = (100, 25, 25) </div></div>
<div class="ttc" id="group__GTGColor_html_gafb573eac9a0e0e5b87f53381a52fb5a5"><div class="ttname"><a href="group__GTGColor.html#gafb573eac9a0e0e5b87f53381a52fb5a5">GTG_DARKBLUE</a></div><div class="ttdeci">gtg_color_t GTG_DARKBLUE</div><div class="ttdoc">Default dark blue color. (R,G,B) = (0, 0, 80) </div></div>
<div class="ttc" id="GTGOTF2__Structs_8h_html_a892136a038b62ff5efd69a91e3e4668b"><div class="ttname"><a href="GTGOTF2__Structs_8h.html#a892136a038b62ff5efd69a91e3e4668b">uint32_t</a></div><div class="ttdeci">otf2_id_t uint32_t</div><div class="ttdef"><b>Definition:</b> GTGOTF2_Structs.h:32</div></div>
<div class="ttc" id="group__GTGColor_html_gac22398d68421bab69f56bad3aec370aa"><div class="ttname"><a href="group__GTGColor.html#gac22398d68421bab69f56bad3aec370aa">GTG_PURPLE</a></div><div class="ttdeci">gtg_color_t GTG_PURPLE</div><div class="ttdoc">Default purple color. (R,G,B) = (153, 25, 230) </div></div>
<div class="ttc" id="GTGColor_8h_html_ad2b04b7eefd44537657daa8557c8d804"><div class="ttname"><a href="GTGColor_8h.html#ad2b04b7eefd44537657daa8557c8d804">gtg_color_free</a></div><div class="ttdeci">void gtg_color_free(gtg_color_t color)</div></div>
<div class="ttc" id="group__GTGColor_html_ga8ee0cf541a8cfe06ca0071bc12730514"><div class="ttname"><a href="group__GTGColor.html#ga8ee0cf541a8cfe06ca0071bc12730514">GTG_BLUE</a></div><div class="ttdeci">gtg_color_t GTG_BLUE</div><div class="ttdoc">Default blue color. (R,G,B) = (0, 0, 255) </div></div>
<div class="ttc" id="group__GTGColor_html_gaa0b434824fb73ef2aca7b3ea80b1d5fc"><div class="ttname"><a href="group__GTGColor.html#gaa0b434824fb73ef2aca7b3ea80b1d5fc">GTG_LIGHTGREY</a></div><div class="ttdeci">gtg_color_t GTG_LIGHTGREY</div><div class="ttdoc">Default light grey color. (R,G,B) = (200, 200, 200) </div></div>
<div class="ttc" id="group__GTGColor_html_gaa08fc4857b39b8de719eb2856b040ebe"><div class="ttname"><a href="group__GTGColor.html#gaa08fc4857b39b8de719eb2856b040ebe">GTG_DARKPINK</a></div><div class="ttdeci">gtg_color_t GTG_DARKPINK</div><div class="ttdoc">Default dark pink color. (R,G,B) = (180, 80, 180) </div></div>
<div class="ttc" id="structgtg__color_html_a7c2033bde700bdbf9fb1be5c6b2400e8"><div class="ttname"><a href="structgtg__color.html#a7c2033bde700bdbf9fb1be5c6b2400e8">gtg_color::color_name</a></div><div class="ttdeci">char * color_name</div><div class="ttdef"><b>Definition:</b> GTGColor.h:27</div></div>
<div class="ttc" id="group__GTGColor_html_ga0e3d8e413dcbd8f23dfeb5b26bf02ea0"><div class="ttname"><a href="group__GTGColor.html#ga0e3d8e413dcbd8f23dfeb5b26bf02ea0">GTG_COLOR_SET_COLOR</a></div><div class="ttdeci">static gtg_rgb_color_t GTG_COLOR_SET_COLOR(uint8_t r, uint8_t g, uint8_t b)</div><div class="ttdoc">Return the 4-bytes RGB color from 3 1-byte components. </div><div class="ttdef"><b>Definition:</b> GTGColor.h:86</div></div>
<div class="ttc" id="group__GTGColor_html_ga088b63848f60b294eb7717f9160ce76a"><div class="ttname"><a href="group__GTGColor.html#ga088b63848f60b294eb7717f9160ce76a">GTG_DARKGREY</a></div><div class="ttdeci">gtg_color_t GTG_DARKGREY</div><div class="ttdoc">Default dark grey color. (R,G,B) = (85, 85, 85) </div></div>
<div class="ttc" id="group__GTGColor_html_gaa923f594cd6bf3da6a99d672c4438238"><div class="ttname"><a href="group__GTGColor.html#gaa923f594cd6bf3da6a99d672c4438238">GTG_BLACK</a></div><div class="ttdeci">gtg_color_t GTG_BLACK</div><div class="ttdoc">Default black color. (R,G,B) = (0, 0, 0) </div></div>
<div class="ttc" id="group__GTGColor_html_gae5b393a4e0d57100e0809e25ccde762c"><div class="ttname"><a href="group__GTGColor.html#gae5b393a4e0d57100e0809e25ccde762c">GTG_TEAL</a></div><div class="ttdeci">gtg_color_t GTG_TEAL</div><div class="ttdoc">Default teal color. (R,G,B) = (0, 255, 255) </div></div>
<div class="ttc" id="group__GTGColor_html_ga39b7ac86d036b3eeffb481bb8c7a0404"><div class="ttname"><a href="group__GTGColor.html#ga39b7ac86d036b3eeffb481bb8c7a0404">GTG_KAKI</a></div><div class="ttdeci">gtg_color_t GTG_KAKI</div><div class="ttdoc">Default kaki color. (R,G,B) = (80, 100, 25) </div></div>
<div class="ttc" id="GTGColor_8h_html_a7d118edf2d6e2588a0323079259fb0d6"><div class="ttname"><a href="GTGColor_8h.html#a7d118edf2d6e2588a0323079259fb0d6">gtg_color_t</a></div><div class="ttdeci">struct gtg_color * gtg_color_t</div><div class="ttdef"><b>Definition:</b> GTGColor.h:31</div></div>
<div class="ttc" id="group__GTGColor_html_ga9e4cec241556fba74d243092ecb65ff3"><div class="ttname"><a href="group__GTGColor.html#ga9e4cec241556fba74d243092ecb65ff3">GTG_COLOR_GET_BLUE</a></div><div class="ttdeci">static uint8_t GTG_COLOR_GET_BLUE(gtg_rgb_color_t rgb)</div><div class="ttdoc">Return the 1-byte value of the blue component of a rgb color. </div><div class="ttdef"><b>Definition:</b> GTGColor.h:52</div></div>
<div class="ttc" id="group__GTGColor_html_ga5ab65b258d884aee7f7510728c3a9c7d"><div class="ttname"><a href="group__GTGColor.html#ga5ab65b258d884aee7f7510728c3a9c7d">GTG_ORANGE</a></div><div class="ttdeci">gtg_color_t GTG_ORANGE</div><div class="ttdoc">Default orange color. (R,G,B) = (255, 160, 0) </div></div>
<div class="ttc" id="GTGColor_8h_html_a344b7a65f28e75c218e3ffa38ba142cf"><div class="ttname"><a href="GTGColor_8h.html#a344b7a65f28e75c218e3ffa38ba142cf">GTG_COLOR_GREEN_MASK</a></div><div class="ttdeci">#define GTG_COLOR_GREEN_MASK</div><div class="ttdef"><b>Definition:</b> GTGColor.h:43</div></div>
<div class="ttc" id="group__GTGColor_html_ga190c0283ea923a8985673bf855acb0f1"><div class="ttname"><a href="group__GTGColor.html#ga190c0283ea923a8985673bf855acb0f1">GTG_PINK</a></div><div class="ttdeci">gtg_color_t GTG_PINK</div><div class="ttdoc">Default pink color. (R,G,B) = (255, 0, 255) </div></div>
<div class="ttc" id="group__GTGColor_html_ga64afa654e5f2102b76dfea9948fcc176"><div class="ttname"><a href="group__GTGColor.html#ga64afa654e5f2102b76dfea9948fcc176">GTG_RED</a></div><div class="ttdeci">gtg_color_t GTG_RED</div><div class="ttdoc">Default red color. (R,G,B) = (255, 0, 0) </div></div>
<div class="ttc" id="GTGColor_8h_html_af6a468e04384d838ad12c6c370116289"><div class="ttname"><a href="GTGColor_8h.html#af6a468e04384d838ad12c6c370116289">GTG_COLOR_GREEN_POS</a></div><div class="ttdeci">#define GTG_COLOR_GREEN_POS</div><div class="ttdef"><b>Definition:</b> GTGColor.h:39</div></div>
<div class="ttc" id="group__GTGColor_html_ga4de28f536dd910bf024fc2caa5234cb5"><div class="ttname"><a href="group__GTGColor.html#ga4de28f536dd910bf024fc2caa5234cb5">GTG_MAUVE</a></div><div class="ttdeci">gtg_color_t GTG_MAUVE</div><div class="ttdoc">Default mauve color. (R,G,B) = (128, 0, 255) </div></div>
<div class="ttc" id="group__GTGColor_html_gaac719b8d82b41edc0d2f29983222586a"><div class="ttname"><a href="group__GTGColor.html#gaac719b8d82b41edc0d2f29983222586a">GTG_GREEN</a></div><div class="ttdeci">gtg_color_t GTG_GREEN</div><div class="ttdoc">Default green color. (R,G,B) = (0, 255, 0) </div></div>
<div class="ttc" id="group__GTGColor_html_ga47cbb9a6cd672a1b0679a5472dacf0aa"><div class="ttname"><a href="group__GTGColor.html#ga47cbb9a6cd672a1b0679a5472dacf0aa">GTG_COLOR_GET_GREEN</a></div><div class="ttdeci">static uint8_t GTG_COLOR_GET_GREEN(gtg_rgb_color_t rgb)</div><div class="ttdoc">Return the 1-byte value of the green component of a rgb color. </div><div class="ttdef"><b>Definition:</b> GTGColor.h:63</div></div>
<div class="ttc" id="GTGColor_8h_html_ab217caeb934798d280cb2077358986f9"><div class="ttname"><a href="GTGColor_8h.html#ab217caeb934798d280cb2077358986f9">gtg_color_create</a></div><div class="ttdeci">gtg_color_t gtg_color_create(const char *name, uint8_t r, uint8_t g, uint8_t b)</div></div>
<div class="ttc" id="group__GTGColor_html_ga16c93cd2a5d433fcc87ef02a84799ba5"><div class="ttname"><a href="group__GTGColor.html#ga16c93cd2a5d433fcc87ef02a84799ba5">GTG_YELLOW</a></div><div class="ttdeci">gtg_color_t GTG_YELLOW</div><div class="ttdoc">Default yellow color. (R,G,B) = (255, 255, 0) </div></div>
<div class="ttc" id="group__GTGColor_html_ga522dceb98e51420b5145113ba0297eba"><div class="ttname"><a href="group__GTGColor.html#ga522dceb98e51420b5145113ba0297eba">GTG_GRENAT</a></div><div class="ttdeci">gtg_color_t GTG_GRENAT</div><div class="ttdoc">Default grenat color. (R,G,B) = (100, 0, 80) </div></div>
<div class="ttc" id="GTGColor_8h_html_aca9cbafaad4911f01c7d6e822e6da3a1"><div class="ttname"><a href="GTGColor_8h.html#aca9cbafaad4911f01c7d6e822e6da3a1">GTG_COLOR_RED_MASK</a></div><div class="ttdeci">#define GTG_COLOR_RED_MASK</div><div class="ttdef"><b>Definition:</b> GTGColor.h:44</div></div>
<div class="ttc" id="GTGColor_8h_html_a3715b9f3d53d1b007ca3d5d54a633d94"><div class="ttname"><a href="GTGColor_8h.html#a3715b9f3d53d1b007ca3d5d54a633d94">GTG_COLOR_BLUE_POS</a></div><div class="ttdeci">#define GTG_COLOR_BLUE_POS</div><div class="ttdef"><b>Definition:</b> GTGColor.h:38</div></div>
<div class="ttc" id="structgtg__color_html"><div class="ttname"><a href="structgtg__color.html">gtg_color</a></div><div class="ttdoc">This structure defines a color that can be used by GTG. </div><div class="ttdef"><b>Definition:</b> GTGColor.h:25</div></div>
<div class="ttc" id="GTGColor_8h_html_a9fd3b22fc2eca7706659486c53aa1edd"><div class="ttname"><a href="GTGColor_8h.html#a9fd3b22fc2eca7706659486c53aa1edd">gtg_rgb_color_t</a></div><div class="ttdeci">uint32_t gtg_rgb_color_t</div><div class="ttdef"><b>Definition:</b> GTGColor.h:18</div></div>
<div class="ttc" id="GTGColor_8h_html_ad35ae9d4ff1aa5870328130b5483b599"><div class="ttname"><a href="GTGColor_8h.html#ad35ae9d4ff1aa5870328130b5483b599">GTG_COLOR_RED_POS</a></div><div class="ttdeci">#define GTG_COLOR_RED_POS</div><div class="ttdef"><b>Definition:</b> GTGColor.h:40</div></div>
<div class="ttc" id="GTGColor_8h_html_adf9335edbd36dc5bc6413264ef2c40c8"><div class="ttname"><a href="GTGColor_8h.html#adf9335edbd36dc5bc6413264ef2c40c8">gtg_color_init</a></div><div class="ttdeci">void gtg_color_init()</div></div>
<div class="ttc" id="group__GTGColor_html_gabbc9bfb94e29f9403a7e139e4f4bf87a"><div class="ttname"><a href="group__GTGColor.html#gabbc9bfb94e29f9403a7e139e4f4bf87a">GTG_REDBLOOD</a></div><div class="ttdeci">gtg_color_t GTG_REDBLOOD</div><div class="ttdoc">Default red blood color. (R,G,B) = (200, 25, 25) </div></div>
<div class="ttc" id="group__GTGColor_html_ga21ff1d892d73197f789eadfb5f53ae12"><div class="ttname"><a href="group__GTGColor.html#ga21ff1d892d73197f789eadfb5f53ae12">GTG_WHITE</a></div><div class="ttdeci">gtg_color_t GTG_WHITE</div><div class="ttdoc">Default white color. (R,G,B) = (255, 255, 255) </div></div>
<div class="ttc" id="group__GTGColor_html_ga223e9945beaf02128c62c359a13381ac"><div class="ttname"><a href="group__GTGColor.html#ga223e9945beaf02128c62c359a13381ac">GTG_COLOR_GET_RED</a></div><div class="ttdeci">static uint8_t GTG_COLOR_GET_RED(gtg_rgb_color_t rgb)</div><div class="ttdoc">Return the 1-byte value of the red component of a rgb color. </div><div class="ttdef"><b>Definition:</b> GTGColor.h:74</div></div>
<div class="ttc" id="GTGColor_8h_html_a3f0b10fa33d77d2c68b3e7b81ac4fd67"><div class="ttname"><a href="GTGColor_8h.html#a3f0b10fa33d77d2c68b3e7b81ac4fd67">gtg_color_exit</a></div><div class="ttdeci">void gtg_color_exit()</div></div>
<div class="ttc" id="group__GTGColor_html_ga27a569b9d34652d78d38ce7f7cda6794"><div class="ttname"><a href="group__GTGColor.html#ga27a569b9d34652d78d38ce7f7cda6794">GTG_LIGHTPINK</a></div><div class="ttdeci">gtg_color_t GTG_LIGHTPINK</div><div class="ttdoc">Default light pink color. (R,G,B) = (255, 128, 255) </div></div>
<div class="ttc" id="group__GTGColor_html_ga64753688aed5f6684f07f8e0878f312e"><div class="ttname"><a href="group__GTGColor.html#ga64753688aed5f6684f07f8e0878f312e">GTG_SEABLUE</a></div><div class="ttdeci">gtg_color_t GTG_SEABLUE</div><div class="ttdoc">Default sea blue color. (R,G,B) = (25, 128, 200) </div></div>
<div class="ttc" id="GTGColor_8h_html_a5d84b5c74582785274cf76dff745a76b"><div class="ttname"><a href="GTGColor_8h.html#a5d84b5c74582785274cf76dff745a76b">GTG_COLOR_BLUE_MASK</a></div><div class="ttdeci">#define GTG_COLOR_BLUE_MASK</div><div class="ttdef"><b>Definition:</b> GTGColor.h:42</div></div>
<div class="ttc" id="structgtg__color_html_a1c158621053c8150b40751340e4e47f2"><div class="ttname"><a href="structgtg__color.html#a1c158621053c8150b40751340e4e47f2">gtg_color::rgb</a></div><div class="ttdeci">gtg_rgb_color_t rgb</div><div class="ttdef"><b>Definition:</b> GTGColor.h:28</div></div>
<div class="ttc" id="group__GTGColor_html_gaf971085c762299a3ddc48983c5be7ba1"><div class="ttname"><a href="group__GTGColor.html#gaf971085c762299a3ddc48983c5be7ba1">GTG_LIGHTBROWN</a></div><div class="ttdeci">gtg_color_t GTG_LIGHTBROWN</div><div class="ttdoc">Default light brown color. (R,G,B) = (170, 130, 130) </div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jun 2 2014 10:59:53 for Generic Trace Generator (GTG) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
